org.eclipse.cdt.utils

## Class CPPFilt

- java.lang.Object
- - org.eclipse.cdt.utils.CPPFilt

    public class CPPFilt
    extends Object

Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
Constructor and Description
`CPPFilt()`
`CPPFilt(String command)`
`CPPFilt(String command, String[] params)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`String` `getFunction(String symbol)`
`protected void` `init(String command, String[] params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CPPFilt

    public CPPFilt(String command,
                   String[] params)
            throws IOException

Throws:
  `IOException`

#### CPPFilt

    public CPPFilt(String command)
            throws IOException

Throws:
  `IOException`

#### CPPFilt

    public CPPFilt()
            throws IOException

Throws:
  `IOException`

### Method Detail

#### init

    protected void init(String command,
                        String[] params)
                 throws IOException

Throws:
  `IOException`

#### getFunction

    public String getFunction(String symbol)
                       throws IOException

Throws:
  `IOException`

#### dispose

    public void dispose()